PhantomJS development halted and project to be archived

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

PhantomJS development halted and project to be archived

David Burns
Hi All,

I saw this[1] and we should probably think about actively removing support for phantomjs in a few versions time. I know we set it to deprecated but now we see about removing it properly. 

David


Sent using Notion


--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAPmg_cvybXqnnW2jcW6Ct72xEmkHO58FKD7q9UgaCpy%3DPGXe7w%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: PhantomJS development halted and project to be archived

Paul Hammant-3
Agree, and at the very least print a banner in order to reduce emails and issues logged.


-ph

--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CA%2B298UjDy5kY%2BATQD-tGYM7s0w%2B08vLuVdff8irwTT%2BBZuhEsA%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: PhantomJS development halted and project to be archived

Titus Fortner
Alexei actually removed all support from Ruby bindings last year by
removing it from our build process, and I'm guessing from other
bindings as well. Python might be one of the few that actually still
allows it? :)

On Sun, Mar 4, 2018 at 4:25 AM, Paul Hammant <[hidden email]> wrote:

> Agree, and at the very least print a banner in order to reduce emails and
> issues logged.
>
>
> -ph
>
> --
> You received this message because you are subscribed to the Google Groups
> "Selenium Developers" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to [hidden email].
> To view this discussion on the web visit
> https://groups.google.com/d/msgid/selenium-developers/CA%2B298UjDy5kY%2BATQD-tGYM7s0w%2B08vLuVdff8irwTT%2BBZuhEsA%40mail.gmail.com.
>
> For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAKSYPugbZyqc%3DSa9ABA5dcap2LUKh%2B9U0z6SdgNo%2BgN6%3DuBUdg%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: PhantomJS development halted and project to be archived

Simon Stewart
In reply to this post by David Burns
It's been removed from the Java tree for a long time. Looking at the code, it seems as if the last hold out where there's a lot of support is .Net, where we should mark it as obsolete.

End of an era....

Simon

On Sun, Mar 4, 2018 at 4:21 AM, David Burns <[hidden email]> wrote:
Hi All,

I saw this[1] and we should probably think about actively removing support for phantomjs in a few versions time. I know we set it to deprecated but now we see about removing it properly. 

David


Sent using Notion


--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAPmg_cvybXqnnW2jcW6Ct72xEmkHO58FKD7q9UgaCpy%3DPGXe7w%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAOrAhYH4Ozvss6SeR5CGVwTqhn%3DGLKuBngL5O8y0xp9tpO6dNw%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: PhantomJS development halted and project to be archived

David Burns
We still have desired capabilities, and phantomjs start up code, in all the languages from a quick grep of the tree. We should, at some point see about removing that code and the extra code to go with it saying if people want to still use it they can use previous versions.

David


On Sun, Mar 4, 2018 at 9:22 PM, Simon Stewart <[hidden email]> wrote:
It's been removed from the Java tree for a long time. Looking at the code, it seems as if the last hold out where there's a lot of support is .Net, where we should mark it as obsolete.

End of an era....

Simon

On Sun, Mar 4, 2018 at 4:21 AM, David Burns <[hidden email]> wrote:
Hi All,

I saw this[1] and we should probably think about actively removing support for phantomjs in a few versions time. I know we set it to deprecated but now we see about removing it properly. 

David


Sent using Notion


--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAPmg_cvybXqnnW2jcW6Ct72xEmkHO58FKD7q9UgaCpy%3DPGXe7w%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAOrAhYH4Ozvss6SeR5CGVwTqhn%3DGLKuBngL5O8y0xp9tpO6dNw%40mail.gmail.com.

For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAPmg_cuen7sUO2LDHEL8pGkSLB-0bbWzv-nDFFhJrmiX496oZw%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: PhantomJS development halted and project to be archived

Diego Fernando Molina
We also stopped releasing the docker-selenium image that had PhantomJS more than 2 months ago.

On Mon, 5 Mar 2018 at 10:12 David Burns <[hidden email]> wrote:
We still have desired capabilities, and phantomjs start up code, in all the languages from a quick grep of the tree. We should, at some point see about removing that code and the extra code to go with it saying if people want to still use it they can use previous versions.

David

On Sun, Mar 4, 2018 at 9:22 PM, Simon Stewart <[hidden email]> wrote:
It's been removed from the Java tree for a long time. Looking at the code, it seems as if the last hold out where there's a lot of support is .Net, where we should mark it as obsolete.

End of an era....

Simon

On Sun, Mar 4, 2018 at 4:21 AM, David Burns <[hidden email]> wrote:
Hi All,

I saw this[1] and we should probably think about actively removing support for phantomjs in a few versions time. I know we set it to deprecated but now we see about removing it properly. 

David


Sent using Notion


--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAPmg_cvybXqnnW2jcW6Ct72xEmkHO58FKD7q9UgaCpy%3DPGXe7w%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAOrAhYH4Ozvss6SeR5CGVwTqhn%3DGLKuBngL5O8y0xp9tpO6dNw%40mail.gmail.com.

For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAPmg_cuen7sUO2LDHEL8pGkSLB-0bbWzv-nDFFhJrmiX496oZw%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
--
Diego Molina

--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAM7LuQR64H%3D-k5yaP9x9JJYAE-tNUPH%2BmkPvrUy6vgtKy_fYKw%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: PhantomJS development halted and project to be archived

Simon Stewart
In reply to this post by David Burns
The development of the PhantomJS support shifted from the java bindings a while ago. It's been a separate thing for a while. Having said that, the capability is still there in the java tree, and marked as deprecated, but that's largely because I'm deeply conservative about removing things. In 4.0, I plan on deleting it.

It looks like the scaffolding is still there for Ruby, Python, and .Net.

The question we have to answer is: does the fact that phantomjs is no longer actively developed mean that people have stopped using it? And do we want those people to stop updating their selenium installations once we drop support?

Simon

On Mon, Mar 5, 2018 at 10:11 AM, David Burns <[hidden email]> wrote:
We still have desired capabilities, and phantomjs start up code, in all the languages from a quick grep of the tree. We should, at some point see about removing that code and the extra code to go with it saying if people want to still use it they can use previous versions.

David


On Sun, Mar 4, 2018 at 9:22 PM, Simon Stewart <[hidden email]> wrote:
It's been removed from the Java tree for a long time. Looking at the code, it seems as if the last hold out where there's a lot of support is .Net, where we should mark it as obsolete.

End of an era....

Simon

On Sun, Mar 4, 2018 at 4:21 AM, David Burns <[hidden email]> wrote:
Hi All,

I saw this[1] and we should probably think about actively removing support for phantomjs in a few versions time. I know we set it to deprecated but now we see about removing it properly. 

David


Sent using Notion


--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAPmg_cvybXqnnW2jcW6Ct72xEmkHO58FKD7q9UgaCpy%3DPGXe7w%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAOrAhYH4Ozvss6SeR5CGVwTqhn%3DGLKuBngL5O8y0xp9tpO6dNw%40mail.gmail.com.

For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAPmg_cuen7sUO2LDHEL8pGkSLB-0bbWzv-nDFFhJrmiX496oZw%40mail.gmail.com.

For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAOrAhYGbpDhNmedHD0iS-vqib5vYZ63090E7-UzZUCNQfF9vUw%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: PhantomJS development halted and project to be archived

Jim Evans
I’ve a local change that I need to push that marks it obsolete (throws a compiler warning) in .NET. I’ll remove it, probably in 4.1. Or rather, concurrent with a 4.x release that removes a ton of legacy (OSS protocol dialect) code.

--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/17f9fc74-5f05-4db1-8123-3abe04b2b0cb%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: PhantomJS development halted and project to be archived

Jason Leyba
Granted, I'm probably more aggressive than most with removing things, but I really so no reason to continue supporting PhantomJS. Both Chrome and Firefox can be run headless now, so there's a clearly defined migration path for users that want headless testing. If they want to continue using PhantomJS, they can continue using an older version of Selenium.

On Tue, Mar 6, 2018 at 4:16 AM Jim Evans <[hidden email]> wrote:
I’ve a local change that I need to push that marks it obsolete (throws a compiler warning) in .NET. I’ll remove it, probably in 4.1. Or rather, concurrent with a 4.x release that removes a ton of legacy (OSS protocol dialect) code.

--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/17f9fc74-5f05-4db1-8123-3abe04b2b0cb%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-developers/CAChzDzn9Sh1sbHmKt9UbRL87TXyfjpLgSqppo9AGp3YZ3NX%2B_Q%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.